# pion::single_service_scheduler Class Reference

`#include <scheduler.hpp>`

Inherits pion::multi_thread_scheduler.

List of all members.

## Public Member Functions

| single_service_scheduler (void)
| constructs a new single_service_scheduler
virtual | ~single_service_scheduler ()
| virtual destructor
virtual boost::asio::io_service & | get_io_service (void)
| returns an async I/O service used to schedule work
virtual void | startup (void)
| Starts the thread scheduler (this is called automatically when necessary).

## Protected Member Functions

virtual void | stop_services (void)
| stops all services used to schedule work
virtual void | finish_services (void)
| finishes all services used to schedule work

## Protected Attributes

boost::asio::io_service | m_service
| service used to manage async I/O events
boost::asio::deadline_timer | m_timer
| timer used to periodically check for shutdown

## Detailed Description

single_service_scheduler: uses a single IO service to schedule work

Definition at line 246 of file scheduler.hpp.

The documentation for this class was generated from the following files:

- include/pion/scheduler.hpp
- src/scheduler.cpp